Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ch.uzh.ifi.attempto.preditor.text
Class TextContainer

    java.lang.Object
      ch.uzh.ifi.attempto.preditor.text.TextContainer

    public class TextContainer

extends java.lang.Object

This class represents a text container that stores a sequence of text elements that represent a (partial) text or sentence.

Author:
  Tobias Kuhn

Constructor Summary
`TextContainer()` Creates a new text container.

Method Summary
`void` | `addElement(TextElement el)` Adds the text element to the end of the sequence.
`java.lang.String` | `getText()` Returns the text that is represented by the sequence of text element as a string.
`java.util.ArrayList<TextElement>` | `getTextElements()` Returns the sequence of text elements.
`void` | `removeAllElements()` Removes all text elements.
`void` | `removeLastElement()` Removes the last text element of the sequence if it is not empty.
`void` | `setTextElements(java.util.List<TextElement> elements)` Sets the text elements.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextContainer

    public TextContainer()

  Creates a new text container.

Method Detail

### getTextElements

    public java.util.ArrayList<TextElement> getTextElements()

  Returns the sequence of text elements.

  Returns:
    A list containing the text elements.

### setTextElements

    public void setTextElements(java.util.List<TextElement> elements)

  Sets the text elements.

  Parameters:
    `elements` - A list of text elements.

### addElement

    public void addElement(TextElement el)

  Adds the text element to the end of the sequence.

  Parameters:
    `el` - The text element to be added.

### removeAllElements

    public void removeAllElements()

  Removes all text elements.

### removeLastElement

    public void removeLastElement()

  Removes the last text element of the sequence if it is not empty.

### getText

    public java.lang.String getText()

  Returns the text that is represented by the sequence of text element as a string.

  Returns:
    The text.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2008, Attempto Group, University of Zurich (see http://attempto.ifi.uzh.ch)